import { Message } from '@phosphor/messaging';
import { Widget } from '@phosphor/widgets';
import { DialogLayout } from './DialogLayout';
export declare class Dialog extends Widget {
    constructor(options?: Dialog.Options);
    static createNode(): HTMLElement;
    protected onBeforeAttach(msg: Message): void;
    protected onAfterDetach(msg: Message): void;
    handleEvent(event: Event): void;
    handleClick(event: MouseEvent): boolean;
    handleMouseDown(event: MouseEvent): boolean;
    handleMouseMove(event: MouseEvent): void;
    handleMouseUp(event: MouseEvent): boolean;
    addWidget(widget: Widget, options?: DialogLayout.AddOptions): void;
    private drag;
}
export declare namespace Dialog {
    interface Options {
    }
}
